<?php
$h1			= 'U5 "Users" administrator';
$mobj->decor_folder	= 'sbs_wp/';
$mobj->decor_file	= 'decor_main.php';
$mobj->mmm_403		= 'u0/cp/403';

include_once _MOBJ_MODULES_FOLDER_.'u0/lib_admin.php';
include_once _MOBJ_MODULES_FOLDER_.'u5/lib_u5.php';

include_once _MOBJ_MODULES_FOLDER_.'u0/lib_help_system.php';
$u5_help = new Help_System(_MOBJ_MODULES_FOLDER_.'u5/help/help_config.php');

$admin_mmm = 'u5/admin';
$admin_config = 'admin';

$o_u5 = new U5($admin_config);

//*************************** Section of actions ******************************
// Adding new profile
if ($profile_new) {
  if ($reg_psw != $reg_psw_retype) $sys_mes = _LNG_U5_RMA5_;
  else {
    $reg_res = $o_u5->u5add_user($reg_login, $reg_psw, '', 'a', '', FALSE, '');
    if ($reg_res[0] == 0) {
      $tmp = $o_u5->u5get_user_by_login($reg_login, $reg_psw);
      $mobj->log_event(_LNG_U5_LOG1_.' (ID '.$tmp[id].')',$pers_set[id]);
      $sys_mes = _LNG_U5_RMA0_;
    }
    elseif ($reg_res[0] == 1) $sys_mes = _LNG_U5_RMA1_;
    elseif ($reg_res[0] == 2) $sys_mes = _LNG_U5_RMA2_;
    elseif ($reg_res[0] == 3) $sys_mes = _LNG_U5_RMA3_;
    elseif ($reg_res[0] == 4) $sys_mes = _LNG_U5_RMA4_;
    elseif ($reg_res[0] == 5) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  }
  header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes=$sys_mes"); exit;
}

// Deleting a profile
if ($profile_del) {
  $reg_res = $o_u5->u5delete_user($pf);
  if ($reg_res == 0) {
    $mobj->log_event(_LNG_U5_LOG3_.' (ID '.$pf.')',$pers_set[id]);
    $sys_mes = _LNG_U5_RMD0_.'!';
  }
  elseif ($reg_res == 1) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  elseif ($reg_res == 2) $sys_mes = _LNG_U5_PRESENTINLINKED_.'!';
  header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&sys_mes=$sys_mes"); exit;
}

// Updating a data of user
if ($profile_upd) {
  if (!$settings[act]) $settings[act] = 0;
  $settings_1 = array(id=>$pf, login=>$login, psw=>$u_psw, ug=>$ug,
    lng=>$lng, reg_date=>$rd_date.' '.$rd_time,
    p_email=>$u_p_email, b_email=>$u_b_email, first_name=>$first_name,
    middle_name=>$middle_name, last_name=>$last_name, nickname=>$nickname,
    host=>$host, gid_rm=>$gid_rm, gid_wm=>$gid_wm, gid_im=>$gid_im,
    height=>$_height, weight=>$_weight, d_o_b=>$d_o_b,
    public_description=>$public_description, internal_description=>$internal_description,
    spoken_lng=>$spoken_lng, gender=>$gender
    );
  $settings = array_merge($settings, $settings_1);
  $reg_res = $o_u5->u5update_user($settings);
  if ($reg_res == 0) {
    $mobj->log_event(_LNG_U5_LOG2_.' (ID '.$pf.')',$pers_set[id]);
    $sys_mes = _LNG_U5_RMU0_;
  } elseif ($reg_res == 1) $sys_mes = _LNG_U5_RMU1_;
  elseif ($reg_res == 3) $sys_mes = _LNG_U5_RMU3_;
  elseif ($reg_res == 4) $sys_mes = _LNG_U00_NORIGHTS_.'!';
  elseif ($reg_res == 5) $sys_mes = _LNG_U5_RMU5_.'!';
  header ("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&amode=edit_user&pf=$pf&sys_mes=$sys_mes"); exit;
}
//************************ End of Section of actions **************************

if ($amode!='formatted_list') echo '
<div class="menu3">
<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'" class="menu3_'.((!$amode or $amode=='add_user' or $amode=='edit_user')?'':'in').'act">'._LNG_U5_SM1_.'</a> | 
<a href="'._MOBJ_I_.'?mmm=u3/admin&mdl_no=5" class="menu3_inact">'._LNG_U5_SM2_.'</a>
</div>

<div class="sys_mes">'.stripslashes($sys_mes).'</div>
';

switch ($amode) {
  // List of users
  default:
    if ($pers_set[ug] != '') { // Only for authenticated users
      $tmpl_sort = '<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'&order=[ORDER]" title="'._LNG_U5_SORT_.'">';
      if ($order) $o_u5->users_order = $order; else $order = $o_u5->users_order;
      if (!$page) $page = 1;
      $tmpl_oth_page = '
      	$page_num = "
       <a href=\"'._MOBJ_I_.'?mmm='.$admin_mmm.'&page=$page_no&order='.$GLOBALS["order"].'\">$page_no</a>
      	";
      ';

      $o_u5->u5get_users($page, 'r');
      echo '
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_create.gif" /> <a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'&amode=add_user">'._LNG_U5_HADD_.'</a>
<h2>'._LNG_U5_1_.':</h2>
<table class="main_table">
<thead>
<tr>
	<th>'._LNG_U5_H2_.'<br />'.get_sort_block('login', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H3_.'<br />'.get_sort_block('last_name', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H1_.'<br />'.get_sort_block('id', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H4_.'<br />'.get_sort_block('ug', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H5_.'<br />'.get_sort_block('act', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H7_.'<br />'.get_sort_block('reg_date', $tmpl_sort, $order).'</th>
	<th>'._LNG_U5_H8_.'<br />'.get_sort_block('last_auth_date', $tmpl_sort, $order).'</th>
	<th>E-mail<br />'.get_sort_block('p_email', $tmpl_sort, $order).'</th>
	<th>&nbsp;</th>
</tr>
</thead>
<tbody>
        '.$o_u5->HTML_users.'
</tbody>
</table>
<table class="main_table">
<tr>
<td width="100%">'._LNG_U5_TOTAL_.': <b>'.$o_u5->lq_users_q.'</b></td>
<td align="right" nowrap="nowrap"><b>'._LNG_U5_PAGES_.':</b> '.
get_paging1($o_u5->lq_users_q,$o_u5->users_on_page,$page,' [NUM]',$tmpl_oth_page)
.'&nbsp;</td>
</tr>
</table>
<p />
<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'&amode=formatted_list">'._LNG_U5_SHOWFORMATTED_.'</a>
      ';
    } else echo '<div class="sys_mes">'._LNG_U00_NORIGHTS_.'!</div>';
    break;

  // Adding an user
  case 'add_user':
    echo '
	<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'">'._LNG_U5_TOLIST_.'</a>
	<h2>'._LNG_U5_3_.':</h2>
	'._LNG_U5_NOTE1_.'<p />
	<form action="'._MOBJ_I_.'" method=post>
	<input type=hidden name=mmm value="'.$admin_mmm.'" />
	<table cellspacing="0">
	<tr><td>'._LNG_U5_LOGIN_.' (max 50)</td><td><input type=text name="reg_login" /></td></tr>
	<tr><td>'._LNG_U5_PSW_.' (max 50)</td><td><input type="password" name="reg_psw" /></td></tr>
	<tr><td>'._LNG_U5_PSW_RETYPE_.'</td><td><input type="password" name="reg_psw_retype" /></td></tr>
	<tr><td></td><td><input type=submit name="profile_new" value="'._LNG_U5_B2_.'" /></td></tr>
	</table>
	</form>
    ';
    break;

  // Editing an user
  case 'edit_user':
    echo '
<a href="'._MOBJ_I_.'?mmm='.$admin_mmm.'">'._LNG_U5_TOLIST_.'</a>
<h2>'._LNG_U5_2_.' (ID '.$pf.'):</h2>
    ';
    $user = $o_u5->u5get_user_by_id($pf);
    if (!$user) echo '<div class="sys_mes">'._LNG_U5_NOUSER_.'!</div>';
    else {
      echo '
<form name="edit_profile" action="'._MOBJ_I_.'" method=post>
<input type=hidden name=mmm value="'.$admin_mmm.'">
<input type=hidden name=pf value="'.$pf.'">
<table cellspacing="0">
<tr><td>'._LNG_U5_LOGIN_.' (max 50)</td><td><input type=text name="login" value="'.$user[login].'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_PSW_.' (max 50)</td><td><input type="password" name="u_psw" value="" style="width:50%" /> '._LNG_U5_ENCRYPTED_.'</td></tr>
<tr><td>'._LNG_U5_FIRSTNAME_.'</td><td><input type=text name="first_name" value="'.htmlspecialchars($user[first_name]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_MIDDLENAME_.'</td><td><input type=text name="middle_name" value="'.htmlspecialchars($user[middle_name]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_LASTNAME_.'</td><td><input type=text name="last_name" value="'.htmlspecialchars($user[last_name]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_NICKNAME_.'</td><td><input type=text name="nickname" value="'.htmlspecialchars($user[nickname]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_ACTIVE_.'</td><td><input type="checkbox" name="settings[act]" value="1"'.($user[act]==1?' checked':'').' /></td></tr>
<tr>
<td>'._LNG_U5_UG_.' '.$u5_help->get_context_href('ug').'</td>
<td>
  	<select name="ug">
      ';
      for ($I=0;$I<10;$I++) echo '<option value="'.$I.'"'.($I==$user[ug]?' selected':'').'>'.$I.'</option>';
      $tmp_groups = 'a|b|c|d|e|f|g|h|i|j|k|l|m|n|o|p|q|r|s|t|u|v|w|x|y|z';
      $tmp_groups = explode('|',$tmp_groups);
      foreach($tmp_groups as $val) echo '<option value="'.$val.'"'.($val==$user[ug]?' selected':'').'>'.$val.'</option>';
      echo '
	</select>
</td>
</tr>
<tr><td>
'._LNG_U5_LNG_.'</td><td>
<select name="lng">
<option value="">-</option>
      ';
      $tmp1 = get_lang_codes('0');
      if (is_array($tmp1)) foreach ($tmp1 as $val) {
        echo '<option value="'.$val.'"'.($user[lng]==$val?' selected':'').'>'.$mobj->get_lng_title($val).'</option>';
      }
      $reg_date = explode(' ', $user[reg_date]);
      echo '
</select>
</td></tr>
<tr><td>
'._LNG_U5_RD1_.'</td><td><input type="text" name="rd_date" size="7" value="'.$reg_date[0].'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=edit_profile&var=rd_date&time='.strtotime($reg_date[0]).'\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U5_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
&nbsp;&nbsp;'._LNG_U5_RD2_.' (hh:mm:ss) <input type="text" name="rd_time" size="5" value="'.$reg_date[1].'" />
</td></tr>
<tr><td>IP-'._LNG_U5_HOST_.' '.$u5_help->get_context_href('host').'</td><td><input type="text" name="host" size="15" maxlength="15" value="'.$user[host].'"></td></tr>
<tr><td valign="top">'._LNG_U5_PDESCR_.'</td><td>'.get_wysiwyg_field('edit_profile', 'public_description', $user[public_description]).'</td></tr>
<tr><td valign="top">'._LNG_U5_IDESCR_.'</td><td>'.get_wysiwyg_field('edit_profile', 'internal_description', $user[internal_description]).'</td></tr>
<tr><td colspan="2"><p /><b>'._LNG_U5_GROUPS_.':</b></td></tr>
<tr><td>'._LNG_U5_GID_RM_.'</td><td><input type="text" name="gid_rm" size="15" maxlength="15" value="'.$user[gid_rm].'"></td></tr>
<tr><td>'._LNG_U5_GID_WM_.'</td><td><input type="text" name="gid_wm" size="15" maxlength="15" value="'.$user[gid_wm].'"></td></tr>
<tr><td>'._LNG_U5_GID_IM_.'</td><td><input type="text" name="gid_im" size="15" maxlength="15" value="'.$user[gid_im].'"></td></tr>
<tr><td colspan="2"><p /><h3>'._LNG_U5_P_INFO_.':</h3></td></tr>
<tr><td>
'._LNG_U5_DOB_.'</td><td><input type="text" name="d_o_b" size="7" value="'.$user[d_o_b].'" />
<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/slct_date&form=edit_profile&var=d_o_b\',\'Calendar\',\'scrollbars=no,left=\'+(screen.width-230)/2+\',top=30,width=230,height=270\'); void(null);" title="'._LNG_U5_SLCT_CAL_.'">
<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_cal.gif" border="0" /></a>
</td></tr>
<tr><td>
'._LNG_U5_GENDER_.'</td><td>
<select name="gender">
<option value="0">'._LNG_U5_GENDER_NA_.'</option>
<option value="1"'.($user[gender]==1?' selected':'').'>'._LNG_U5_GENDER_M_.'</option>
<option value="2"'.($user[gender]==2?' selected':'').'>'._LNG_U5_GENDER_F_.'</option>
</select>
</td></tr>
<tr><td>'._LNG_U5_SPOKENLNG_.'</td><td><input type="text" name="spoken_lng" value="'.htmlspecialchars($user[spoken_lng]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_HEIGHT_.'</td><td><input type="text" name="_height" value="'.htmlspecialchars($user[height]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_WEIGHT_.'</td><td><input type="text" name="_weight" value="'.htmlspecialchars($user[weight]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_PHONEHOME_.'</td><td><input type="text" name="settings[p_phone_home]" value="'.htmlspecialchars($user[p_phone_home]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_PHONECELLULAR_.'</td><td><input type="text" name="settings[p_phone_cellular]" value="'.htmlspecialchars($user[p_phone_cellular]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_STREETADDRESS_.'</td><td><input type="text" name="settings[p_street_address]" value="'.htmlspecialchars($user[p_street_address]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_CITY_.'</td><td><input type="text" name="settings[p_city]" value="'.htmlspecialchars($user[p_city]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_STATEPROVINCE_.'</td><td><input type="text" name="settings[p_state_province]" value="'.htmlspecialchars($user[p_state_province]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_POSTALCODE_.'</td><td><input type="text" name="settings[p_postal_code]" value="'.htmlspecialchars($user[p_postal_code]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_COUNTRY_.'</td><td><input type="text" name="settings[p_country]" value="'.htmlspecialchars($user[p_country]).'" style="width:100%" /></td></tr>
<tr><td valign="top">'._LNG_U5_P_BANK_.'</td><td><textarea name="settings[p_bank]" style="width:100%">'.$user[p_bank].'</textarea></td></tr>
<tr><td>'._LNG_U5_P_WWW_.'</td><td><input type="text" name="settings[p_www]" value="'.htmlspecialchars($user[p_www]).'" style="width:100%" /></td></tr>
<tr><td>E-mail</td><td><input type="text" name="u_p_email" value="'.htmlspecialchars($user[p_email]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_P_ICQ_.'</td><td><input type="text" name="settings[p_icq]" value="'.htmlspecialchars($user[p_icq]).'" style="width:100%" /></td></tr>
<tr><td colspan="2"><p /><h3>'._LNG_U5_B_INFO_.':</h3></td></tr>
<tr><td>'._LNG_U5_B_ORG_.'</td><td><input type="text" name="settings[b_organization]" value="'.htmlspecialchars($user[b_organization]).'" style="width:100%" /></td></tr>
<tr><td valign="top">'._LNG_U5_B_ORG_LEGAL_.'</td><td><textarea name="settings[b_organization_legal]" style="width:100%">'.$user[b_organization_legal].'</textarea></td></tr>
<tr><td valign="top">'._LNG_U5_B_ORG_BANK_.'</td><td><textarea name="settings[b_organization_bank]" style="width:100%">'.$user[b_organization_bank].'</textarea></td></tr>
<tr><td>'._LNG_U5_B_JOBTITLE_.'</td><td><input type="text" name="settings[b_job_title]" value="'.htmlspecialchars($user[b_job_title]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_OFFICE_.'</td><td><input type="text" name="settings[b_office]" value="'.htmlspecialchars($user[b_office]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_PHONEOFFICE_.'</td><td><input type="text" name="settings[b_phone_office]" value="'.htmlspecialchars($user[b_phone_office]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_PHONECELLULAR_.'</td><td><input type="text" name="settings[b_phone_cellular]" value="'.htmlspecialchars($user[b_phone_cellular]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_PAGER_.'</td><td><input type="text" name="settings[b_pager]" value="'.htmlspecialchars($user[b_pager]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_STREETADDRESS_.'</td><td><input type="text" name="settings[b_street_address]" value="'.htmlspecialchars($user[b_street_address]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_CITY_.'</td><td><input type="text" name="settings[b_city]" value="'.htmlspecialchars($user[b_city]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_STATEPROVINCE_.'</td><td><input type="text" name="settings[b_state_province]" value="'.htmlspecialchars($user[b_state_province]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_POSTALCODE_.'</td><td><input type="text" name="settings[b_postal_code]" value="'.htmlspecialchars($user[b_postal_code]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_COUNTRY_.'</td><td><input type="text" name="settings[b_country]" value="'.htmlspecialchars($user[b_country]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_WWW_.'</td><td><input type="text" name="settings[b_www]" value="'.htmlspecialchars($user[b_www]).'" style="width:100%" /></td></tr>
<tr><td>E-mail</td><td><input type="text" name="u_b_email" value="'.htmlspecialchars($user[b_email]).'" style="width:100%" /></td></tr>
<tr><td>'._LNG_U5_B_ICQ_.'</td><td><input type="text" name="settings[b_icq]" value="'.htmlspecialchars($user[b_icq]).'" style="width:100%" /></td></tr>
<tr><td></td><td><p /><input type="submit" name="profile_upd" value="'._LNG_U5_B1_.'" onclick="Ardzon.savePrepare(\'edit_profile\')" /></td></tr>
</table>
</form>
      ';
    }
    break;

  // View a list of users as formatted text
  case 'formatted_list':
    $mobj->write_hf = 0;
    $o_u5formatted = new U5('formatted_list');
    $o_u5formatted->u5get_users(1, 'r');
    echo '
        '.$o_u5formatted->HTML_users.'
    ';
    break;
}
?>